import { Panel } from "../../module/views/Panel";
import MouseEvent = FYGE.MouseEvent;
import { showPanel } from "../../module/ctrls";
import { TaskPanel } from "./TaskPanel";

export class NoEnergyPanel extends Panel {
    get groupNames() {
        return ["NoEnergyPanel"]
    }

    get skinName() {
        return "NoEnergyPanel"
    }

    closeBtn: FYGE.Button;
    okBtn: FYGE.Button;

    initUi() {

    }

    start(data) {
        super.start();
    }

    initEvents() {
        super.initEvents();
        this.okBtn.addEventListener(MouseEvent.CLICK, () => {
            showPanel(TaskPanel);
            this.hidePanel();
        }, this);
    }

    removeEvents() {
        super.removeEvents();
    }
}
